[Feisty] Java 6 doesn't work with Ant

Bug #98699 reported by jrick
2
Affects Status Importance Assigned to Milestone
kdevelop3
New
Undecided
Unassigned
ant (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Binary package hint: ant

When I install Java 6 (runtime and JDK) and then install Ant afterwards, the path for Ant is wrong. It is looking for Java 4 in /usr/lib/jvm/java-1.4.2-gcj-4.1-1.4.2.0/lib/tools.jar instead of /usr/lib/jvm/java-6-sun-1.6.0.00/lib/tools.jar.

This of course means that anything using Ant for Java development doesn't work, including KDevelop.

This works fine in Edgy, just not Feisty.

Revision history for this message
Michael Koch (konqueror) wrote :

Can it be that java-gcj-compat was installed before you installed SUNs Java 6? Where /etc/alternatives/java link to?

Can you please try to "sudo update-java-alternatives --set java-6-sun"? This should make ant use SUN Java 6 instead of GCJ.

Revision history for this message
jrick (josh-rickmar) wrote :

This was fixed with the final release of Feisty. I forgot to tell that i found this bug in the Feisty RC (see the date?).

Revision history for this message
Michael Koch (konqueror) wrote :

This bug was reported against an Feisty RC. It was fixed in Feisty Final.

Changed in ant:
status: Unconfirmed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers